"use strict";

// original: https://github.com/kufu/textlint-rule-preset-smarthr/blob/main/src/prh-rules.ts

var prh = require('textlint-rule-prh');
var reporter = context => {
  var phrases = "rules:\n  - expected: overflow\n    pattern: /overflow/i\n  - expected: Ruby on Rails\n    pattern: /ruby\\s?on\\s?rails/i\n  - expected: JavaScript\n    pattern: /java\\s?script/i\n  - expected: TypeScript\n    pattern: /type\\s?script/i\n  - expected: WordPress\n    pattern: /wordpress/i\n  - expected: Offers\n    pattern: /offers/i\n  - expected: \u30EA\u30DD\u30B8\u30C8\u30EA\n    pattern: \u30EC\u30DD\u30B8\u30C8\u30EA\n  - expected: Go\n    pattern: /golang/i\n  - expected: Datadog\n    pattern: /datadog/i\n  - expected: Google Apps Script\n    pattern: /google apps? script/i\n  - expected: RuboCop\n    pattern: /rubocop/i";
  return prh.fixer(context, {
    ruleContents: [phrases]
  });
};
module.exports = {
  linter: reporter,
  fixer: reporter
};
//# sourceMappingURL=prh-rules.js.map